#!/usr/bin/perl

$jobs_per_energy=20;
$events_per_job="100000";
$basename='kaon2805a';
$numbers=$jobs_per_energy*$events_per_job;

$no_of_energies=11;
$name=$basename;
@energy=("ecm 1.8","ecm 2.0","ecm 2.2","ecm 2.4","ecm 2.6","ecm 2.8","ecm 3.0","ecm 3.2","ecm 3.4","ecm 3.6","ecm 3.8" );
@system=("c12c12"  ,"c12c12"  ,"c12c12"  ,"c12c12"  ,"c12c12"  ,"c12c12"  ,"c12c12"  ,"c12c12"  ,"c12c12"  ,"c12c12"  ,"c12c12");

$directory="/work/agstoecker/spielmann/".$name."/";
$directory1="/work/agstoecker/spielmann/".$name."/rdm/";

$seed=time();
###################
#dirs erstellen
###################
open (SUBEXE1,">submit1.exe");
print SUBEXE1 ("mkdir ".$directory."\n");
print SUBEXE1 ("mkdir ".$directory1."\n");
close (SUBEXE1);

open (COPIEFILE,">".$directory."copiepro.pl");
print COPIEFILE ("#!/usr/bin/perl");
close (COPIEFILE);

open (SUBEXE,">submit.exe");
print SUBEXE ("mkdir ".$directory1."\n");
print SUBEXE ("mkdir ".$directory."\n");

foreach $counter (1..$no_of_energies){
if($system[$counter-1]=~/apau/){
 $pro="PRO -1 -1"; $tar="tar 197 79";

}
if($system[$counter-1]=~/c12c12/){
 $pro="pro 12 6"; $tar="tar 12 6";
}
@eee=split(' ',$energy[$counter-1]);
$ecm=$eee[1];
if ($eee[0]=~/elb/){
 $ecm=sqrt(0.938**2+0.938**2+2*$eee[1]*0.938)
}
$tt=30;

foreach $job (1..$jobs_per_energy){
$energy2=$energy[$counter-1];
$energy2=~s/ //g;
$name=$basename."_".$energy2;
$seed++;

############################
# submit file
############################


print SUBEXE ("qsub ".$directory1.$name."_".$job.".bash\n");
#print SUBEXE ("sleep 2\n");

###########################
# bash file
###########################

open(SUBMIT,">".$directory1.$name."_".$job.".bash");
print SUBMIT ("
\#!/bin/sh
\#
\#PBS -l nodes=1:ppn=1,walltime=".$tt.":00:00  
\#
cd /home/agstoecker/spielmann/urqmd/
export ftn09=".$directory1."urqmd.input_".$name."_".$job."

export ftn14=".$directory.$name."_".$job.".f14

time /home/agstoecker/spielmann/urqmd/urqmd.Linux >".$directory1.$name."_".$job.".out
");
close(SUBMIT);




###############################
#inputfile
###############################


open(INPUTFILE,">".$directory1."urqmd.input_".$name."_".$job);
print INPUTFILE ("
".$pro."
".$tar."

nev ".$events_per_job."

tim 2000. 2000.

".$energy[$counter-1]."

imp 0.0

rsd ".$seed."

eos 0


f13
#f14
f15
f16
f19
f20 


xxx

");
}
}
close (SUBEXE);

#####################
# readme file
#####################
open(READMEFILE,">".$directory1."readme".$txt);
print READMEFILE ("
projektil: ".$pro."
target: ".$tar."
Events: ".$numbers."
Energie: ".$energy[$counter-1]."
impact paramter: 0.0

datum:28.05.09
info: Kaons 1.8-3.8 GeV *20*100000
C12 + C12  
11 Energies !
");
close(READMYFILE);

######################
# copiefile
######################

foreach $counter1 (1..$no_of_energies){
#  foreach $counter2 (1..$jobs_per_energy){
  
  $energycp=$energy[$counter1-1];
  $energycp=~s/ //g;
  $namecp=$basename."_".$energycp;

   open(COPIEFILE,">>".$directory."copiepro.pl");
    print COPIEFILE ("

    \$jobscp=$jobs_per_energy;
    \$namecp=\"$namecp\"; 
      foreach \$job (1..\$jobscp){
       \$cpname = \$namecp.\"_\".\$job.\".f14\";

       open(INFILE, \$cpname);
       open(OUTFILE,\">>\$namecp.f1a\");

        while(<INFILE>){
         print OUTFILE \$_;
        }

       close(OUTFILE);
       close(INFILE);
      }
    ");
   close(COPIEFILE); 


} 

system('chmod ogu+rx submit1.exe');
system('chmod ogu+rx submit.exe');

